﻿Type=StaticCode
Version=1.5
ModulesStructureVersion=1
B4i=true
@EndOfDesignText@
'Code module

Sub Process_Globals
	Private pg3 As Page	
	Private Picker1 As Picker
	Private clrs As Map = CreateMap("Black": Colors.Black, "Blue": Colors.Blue, _
			"Cyan": Colors.Cyan, "Gray": Colors.Gray, "Green": Colors.Green, "Red": Colors.Red)
	Private btnChoose As Button
	Private TableResults As Table
End Sub

Public Sub ShowModule
	If pg3.IsInitialized = False Then
		pg3.Initialize("pg")
		pg3.RootPanel.LoadLayout("ColorsLayout")
		Dim items As List
		items.Initialize
		For Each clr As String In clrs.Keys
			Dim s As AttributedString
			s.Initialize(clr, Font.DEFAULT, clrs.Get(clr))
			items.Add(s)
		Next
		Picker1.SetItems(0, items)
	End If
	
	Main.NavControl.ShowPage(pg3)
	btnChoose.Color = GetSelectedColor
	
End Sub

Private Sub pg_Resize (Width As Int, Height As Int)
	If TableResults.IsInitialized = True Then
		TableResults.RemoveViewFromParent
	End If

	TableResults.Initialize(Me, "TableResults", 7)
	TableResults.AddToParent(pg3.RootPanel, 0, 50%y, 100%x, 50%y)
	TableResults.SetHeader(Array As String("Data", "Prove", "Arr", "Tp", "E/R", "Pen", "Qual"))
	TableResults.SetColumnsWidths(Array As Int(25%x, 15%x, 9%x, 14%x, 9%x, 14%x, 14%x))
	
	For i = 0 To 100
		TableResults.AddRow(Array As String("Row: " & i, "ccc", "ddd", "eee", "ccc", "ddd", "eee"))
	Next
End Sub

Private Sub btnChoose_Click
	Page1Module.ReturnFromColors(GetSelectedColor)
End Sub

Private Sub Picker1_ItemSelected (Column As Int, Row As Int)
	btnChoose.Color = GetSelectedColor
End Sub

Private Sub GetSelectedColor As Int
	Dim s As AttributedString = Picker1.GetSelectedItem(0)
	Return clrs.Get(s.ToString)
End Sub